org.apache.ignite.internal.processors.query.schema.management

## Class SortedIndexDescriptorFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.management.AbstractIndexDescriptorFactory
  - - org.apache.ignite.internal.processors.query.schema.management.SortedIndexDescriptorFactory

All Implemented Interfaces:
  IndexDescriptorFactory

    public class SortedIndexDescriptorFactory
    extends AbstractIndexDescriptorFactory

Factory to create sorted index descriptors.

### Field Summary

Fields
`static String` `H2_TREE`

### Constructor Summary

Constructors
Constructor and Description
`SortedIndexDescriptorFactory(IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexDescriptor` `create(GridKernalContext ctx, GridQueryIndexDescriptor idxDesc, TableDescriptor tbl, @Nullable SchemaIndexCacheVisitor cacheVisitor)`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.management.AbstractIndexDescriptorFactory

`indexDescriptorToKeysDefinition, keyDefinition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### H2_TREE

    public static final String H2_TREE

See Also:
  Constant Field Values

### Constructor Detail

#### SortedIndexDescriptorFactory

    public SortedIndexDescriptorFactory(IgniteLogger log)

### Method Detail

#### create

    public IndexDescriptor create(GridKernalContext ctx,
                                  GridQueryIndexDescriptor idxDesc,
                                  TableDescriptor tbl,
                                  @Nullable
                                  @Nullable SchemaIndexCacheVisitor cacheVisitor)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023